# `esp_netif_now`

An ESP-NETIF driver for ESP-Now

# usage
Installing this on two devices with LwIP debugging turned up and you will see packets being exchanged.

This could also be the basis for using any other system that is capable of using LwIP.

Install with
```
git clone https://git.oit.cloud/morgan/esp_netif_now/ components/esp_netif_now
```

## complete example
```
#include "esp_mac.h"
#include "esp_wifi.h"

#include "nvs_flash.h"

#include "esp_netif_now.h"

void app_main() {
  esp_netif_now_config_t config;

  esp_efuse_mac_get_default((uint8_t*)&config.mac);

  ESP_ERROR_CHECK(nvs_flash_init());
  ESP_ERROR_CHECK(esp_netif_init());
  ESP_ERROR_CHECK(esp_event_loop_create_default());
  wifi_init_config_t cfg = WIFI_INIT_CONFIG_DEFAULT();
  ESP_ERROR_CHECK(esp_wifi_init(&cfg));
  ESP_ERROR_CHECK(esp_wifi_set_storage(WIFI_STORAGE_RAM));
  ESP_ERROR_CHECK(esp_wifi_set_mode(WIFI_MODE_STA));
  ESP_ERROR_CHECK(esp_wifi_start());
  ESP_ERROR_CHECK(esp_wifi_set_channel(1, WIFI_SECOND_CHAN_NONE));

  esp_netif_set_ip4_addr(&config.ip_info.ip, 10, 10 , 0, config.mac[5]);
  esp_netif_set_ip4_addr(&config.ip_info.gw, 10, 10 , 0, 1);
  esp_netif_set_ip4_addr(&config.ip_info.netmask, 255, 255 , 255, 0);

  esp_netif_now_init(&config);
}
```
